Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.bytes
Interface IOutputStream

All Superinterfaces:
  Closeable, IStream

All Known Subinterfaces:
  IBuffer

All Known Implementing Classes:
  Buffer, OutputStream

    public interface IOutputStream

extends IStream

Output stream interface.

Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Method Summary
`void` | `write(byte[] data)` Writes a byte array into the stream.
`void` | `write(byte[] data, int offset, int length)` Writes a byte range into the stream.
`void` | `write(IInputStream data)` Writes an `IInputStream` into the stream.
`void` | `write(String data)` Writes a string into the stream.

Methods inherited from interface org.pdfclown.bytes.IStream
`getLength`

Methods inherited from interface java.io.Closeable
`close`

Method Detail

### write

    void write(byte[] data)

  Writes a byte array into the stream.

  Parameters:
    `data` - Byte array to write into the stream.

### write

    void write(byte[] data,
               int offset,
               int length)

  Writes a byte range into the stream.

  Parameters:
    `data` - Byte array to write into the stream.
    `offset` - Location in the byte array at which writing begins.
    `length` - Number of bytes to write.

### write

    void write(String data)

  Writes a string into the stream.

  Parameters:
    `data` - String to write into the stream.

### write

    void write(IInputStream data)

  Writes an `IInputStream` into the stream.

  Parameters:
    `data` - IInputStream to write into the stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.